<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/MRM -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7a74a0502dcf66bb0b102b2d461f259b.html">MRM</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>MRM &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in CapabilityAgents/MRM</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_6d733a3b4408e2c3768a068b35d06bec.html">src</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8cpp.html">MRMCapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_capability_agent_8h.html">CapabilityAgent.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_capability_configuration_interface_8h.html">CapabilityConfigurationInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_context_manager_interface_8h.html">ContextManagerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_sequencer_interface_8h.html">DirectiveSequencerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_focus_manager_interface_8h.html">FocusManagerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_message_sender_interface_8h.html">MessageSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_manager_interface_8h.html">SpeakerManagerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_manager_observer_interface_8h.html">SpeakerManagerObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_user_inactivity_monitor_interface_8h.html">UserInactivityMonitorInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_8h.html">MRMCapabilityAgent.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_user_inactivity_monitor_observer_interface_8h.html">UserInactivityMonitorObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_f279f32a64bbd74cc71791cae794e7ba.html">test</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_test_8cpp.html">MRMCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_speaker_manager_8h.html">MockSpeakerManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_f279f32a64bbd74cc71791cae794e7ba.html">test</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_test_8cpp.html">MRMCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_user_inactivity_monitor_8h.html">MockUserInactivityMonitor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_f279f32a64bbd74cc71791cae794e7ba.html">test</a>&#160;/&#160;<a class="el" href="_m_r_m_capability_agent_test_8cpp.html">MRMCapabilityAgentTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_interface_8h.html">SpeakerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_handler_interface_8h.html">MRMHandlerInterface.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8h.html">AVSDirective.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_handler_interface_8h.html">MRMHandlerInterface.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_1d34836c1c16121ffa207834b8fd3e01.html">include</a>&#160;/&#160;<a class="el" href="dir_1327818da398cbaed9d22e37536d9725.html">MRM</a>&#160;/&#160;<a class="el" href="_m_r_m_handler_interface_8h.html">MRMHandlerInterface.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_speaker_interface_8h.html">SpeakerInterface.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
